# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	List
Summary:	File::List - Crawling directory trees and compiling lists of files
Summary(pl):	Modu File::List - przechodzcy po drzewach katalogw i tworzcy listy plikw
Name:		perl-File-List
Version:	0.3.1
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module crawls the directory tree starting at the provided base
directory and can return files (and/or directories if desired)
matching a regular expression.

%description -l pl
Ten modu przechodzi po drzewie katalogw zaczynajc od zadanego
katalogu bazowego i zwraca pliku (i/lub katalogi, jeli sobie tego
zayczy) pasujce do wyraenia regularnego.

%prep
%setup -q -n %{pdir}/%{pnam}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-List.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:57:13  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:17  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/25 00:27:24  qboosh
- pl description

Revision 1.1  2002/08/24 17:04:41  radek
- new, STBR
